Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.instance
Interface InstanceContainer

All Known Implementing Classes:
  InstanceContainerImpl

    public interface InstanceContainer

A container for instances of component.

Version:
  $Revision: 10684 $
Author:
  Julien Viet

Method Summary
`InstanceDefinition` | `createDefinition(InstanceMetaData instanceMetaData)` Create a new instance of the specified portlet.
`InstanceDefinition` | `createDefinition(java.lang.String id, java.lang.String portletId)` Create a new instance of the specified portlet.
`InstanceDefinition` | `createDefinition(java.lang.String id, java.lang.String portletId, boolean clone)` Create a new instance of the specified portlet.
`void` | `destroyDefinition(java.lang.String id)` Destroy the specified instance.
`AuthorizationDomain` | `getAuthorizationDomain()` Return the AuthorizationDomain
`InstanceDefinition` | `getDefinition(java.lang.String id)` Return the specified instance from its id or null if it does not exist.
`java.util.Collection<InstanceDefinition>` | `getDefinitions()` Return all the instances in the container.
`org.jboss.portal.portlet.PortletInvoker` | `getPortletInvoker()` Return the underlying portlet invoker for the instance container.

Method Detail

### getPortletInvoker

    org.jboss.portal.portlet.PortletInvoker getPortletInvoker()

  Return the underlying portlet invoker for the instance container.

  Returns:
    the portlet invoker

### getDefinition

    InstanceDefinition getDefinition(java.lang.String id)
                                     throws java.lang.IllegalArgumentException

  Return the specified instance from its id or null if it does not exist.

  Parameters:
    `id` - the instance id
  Throws:
    `java.lang.IllegalArgumentException` - if the instance id is null

### createDefinition

    InstanceDefinition createDefinition(java.lang.String id,
                                        java.lang.String portletId)
                                        throws DuplicateInstanceException,
                                               java.lang.IllegalArgumentException,
                                               org.jboss.portal.portlet.PortletInvokerException

  Create a new instance of the specified portlet.

  Parameters:
    `id` -
    `portletId` - the portlet id
  Returns:
    the newly created instance
  Throws:
    `DuplicateInstanceException` - if the instance already exist
    `java.lang.IllegalArgumentException` - if the instance id is null
    `org.jboss.portal.portlet.PortletInvokerException`

### createDefinition

    InstanceDefinition createDefinition(InstanceMetaData instanceMetaData)
                                        throws DuplicateInstanceException,
                                               java.lang.IllegalArgumentException,
                                               org.jboss.portal.portlet.PortletInvokerException

  Create a new instance of the specified portlet.

  Parameters:
    `instanceMetaData` - the instance Metadata
  Returns:
    the newly created instance
  Throws:
    `DuplicateInstanceException` - if the instance already exist
    `java.lang.IllegalArgumentException` - if the instance id is null
    `org.jboss.portal.portlet.PortletInvokerException`

### createDefinition

    InstanceDefinition createDefinition(java.lang.String id,
                                        java.lang.String portletId,
                                        boolean clone)
                                        throws DuplicateInstanceException,
                                               java.lang.IllegalArgumentException,
                                               org.jboss.portal.portlet.PortletInvokerException

  Create a new instance of the specified portlet.

  Parameters:
    `id` -
    `portletId` - the portlet id
    `clone` - force a clone of the portlet
  Returns:
    the newly created instance
  Throws:
    `DuplicateInstanceException` - if the instance already exist
    `java.lang.IllegalArgumentException` - if the instance id is null
    `org.jboss.portal.portlet.PortletInvokerException`

### destroyDefinition

    void destroyDefinition(java.lang.String id)
                           throws NoSuchInstanceException,
                                  org.jboss.portal.portlet.PortletInvokerException,
                                  java.lang.IllegalArgumentException

  Destroy the specified instance.

  Parameters:
    `id` -
  Throws:
    `java.lang.IllegalArgumentException` - if the instance id is null
    `NoSuchInstanceException`
    `org.jboss.portal.portlet.PortletInvokerException`

### getDefinitions

    java.util.Collection<InstanceDefinition> getDefinitions()

  Return all the instances in the container.

  Returns:
    a collection containing the instances in the container

### getAuthorizationDomain

    AuthorizationDomain getAuthorizationDomain()

  Return the AuthorizationDomain

  Returns:
    the authorization domain

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD